Page MenuHomePhabricator

Deploy new language switching location to test wikis and begin A/B test pt 1
Closed, ResolvedPublic3 Estimated Story Points

Description

Pre-deployment checklist

  • ensure all subtasks below have passed QA stage (it's ok if QA in production hasn't happened yet)

Acceptance criteria

  • Deploy language button to all logged-in users
  • Decide whether https://gerrit.wikimedia.org/r/c/mediawiki/extensions/UniversalLanguageSelector/+/688994 needs to be backported. It is needed for the A/B test so should be present on the test wikis prior or as part of deployment. (deployed everywhere)
  • Decide if fix for https://phabricator.wikimedia.org/T282540 needs to be backported (available 27th earliest)
  • Decide if any patches for https://phabricator.wikimedia.org/T276561 need to be backported (without backport will go out on 10th June)
  • Deploy button to test wikis, along with A/B test setup (A/B test will run on users of the test wikis only)
  • 100% to all anonymous users
  • A/B test for logged-in users
  • Make sure that the language button is not available on wikis where a language button appears next to personal tools (e.g. Wikimedia Commons, Wikidata.org)

List of pilot wikis to exclude from deployment

  • fawiki
NOTE: tentative date: Tuesday, June 22

Related Objects

StatusSubtypeAssignedTask
Resolvedovasileva
Resolvedovasileva
OpenNone
Resolvedovasileva
Resolvednray
Resolvedovasileva
ResolvedJdrewniak
Resolvedovasileva
Resolvedphuedx
Resolvedovasileva
Resolvedovasileva
DuplicateNone
Resolvedovasileva
Resolvedovasileva
Declinedovasileva
Resolvedovasileva
Resolvedovasileva

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson added a subscriber: Jdlrobson.

Deploy language button as user preference

Does this mean deploy language button to all logged in users? (T277588)

Stalled on the A/B test task T275807. Assigning to myself while analysis is not possible.

ovasileva raised the priority of this task from Medium to High.May 3 2021, 1:43 PM

Why is this blocked? Is it because of T281928? (if so this is no longer blocked)

Why is this blocked? Is it because of T281928? (if so this is no longer blocked)

Currently blocked on:

Will add the above to the deployment checklist

List of pilot wikis with current issues with coordinates:
fawiki
bnwiki
kowiki
srwiki
trwiki

ovasileva renamed this task from Deploy new language switching location to test wikis and begin A/B test to Deploy new language switching location to test wikis and begin A/B test pt 1.May 25 2021, 4:55 PM

Blocked on Olga telling us we're ready.

Change 700705 had a related patch set uploaded (by Jdrewniak; author: Jdrewniak):

[operations/mediawiki-config@master] Enable new Vector Languages-in-header feature & AB test for pilot wikis

https://gerrit.wikimedia.org/r/700705

Change 700705 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable new Vector Languages-in-header feature & AB test for pilot wikis

https://gerrit.wikimedia.org/r/700705

Mentioned in SAL (#wikimedia-operations) [2021-06-22T12:03:54Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:700705|Enable new Vector Languages-in-header feature & AB test for pilot wikis (T269093)]] (duration: 00m 56s)

Change 700905 had a related patch set uploaded (by Phuedx; author: Phuedx):

[operations/mediawiki-config@master] Correctly enable Vector language switcher treatment A/B test

https://gerrit.wikimedia.org/r/700905

Change 700905 merged by jenkins-bot:

[operations/mediawiki-config@master] Correctly enable Vector language switcher treatment A/B test

https://gerrit.wikimedia.org/r/700905

Mentioned in SAL (#wikimedia-operations) [2021-06-22T13:33:29Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:700905|Correctly enable Vector language switcher treatment A/B test (T269093)]] (duration: 00m 57s)

Jdlrobson added a subscriber: Jdrewniak.

Looks ready for sign off?

ovasileva updated the task description. (Show Details)

All done!

Change 701881 had a related patch set uploaded (by Phuedx; author: Phuedx):

[operations/mediawiki-config@master] vector: Enable language switcher treatment A/B test on fawiki

https://gerrit.wikimedia.org/r/701881

Change 701881 merged by jenkins-bot:

[operations/mediawiki-config@master] vector: Enable language switcher treatment A/B test on fawiki

https://gerrit.wikimedia.org/r/701881

Mentioned in SAL (#wikimedia-operations) [2021-06-28T11:34:17Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: e4a088fbcf90a8c232c616ba5df9ad01cb5449e8: vector: Enable language switcher treatment A/B test on fawiki (T269093) (duration: 00m 55s)

Change 702095 had a related patch set uploaded (by Phuedx; author: Phuedx):

[operations/mediawiki-config@master] vector: Finish enabling language switcher treatment A/B test on fawiki

https://gerrit.wikimedia.org/r/702095

Change 702095 merged by jenkins-bot:

[operations/mediawiki-config@master] vector: Finish enabling language switcher treatment A/B test on fawiki

https://gerrit.wikimedia.org/r/702095

Mentioned in SAL (#wikimedia-operations) [2021-06-29T11:54:18Z] <phuedx@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:702095|vector: Finish enabling language switcher treatment A/B test on fawiki (T269093)]] (duration: 00m 56s)